/*
 * Created on 2004/07/04
 *
 */
package jnet.hirommy.gui;

import jnet.hirommy.util.*;

import javax.swing.JInternalFrame;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JComboBox;

/**
 * This Visual class for audio file control window.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class AudioControlInternalFrame extends JInternalFrame {
    /**
     * audio file name for playing.
     */
    private String audioFile = null;
    
    /**
     * This is file name lists 
     * that is provided Hirommy2.
     */
    private String[] listItems = {
      "start voice of Hiromi",
      "negotiation with small country"
    };
    
	private javax.swing.JPanel jContentPane = null;

	private JPanel jPanel = null;
	private JButton jButton = null;
	private JComboBox jComboBox = null;
	/**
	 * This is the default constructor
	 */
	public AudioControlInternalFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("Audio Control Window");
		this.setSize(300,90);
		this.setResizable(false);
		this.setContentPane(getJContentPane());
		this.setLocation(400, 0);
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(new java.awt.BorderLayout());
			jContentPane.add(getJPanel(), java.awt.BorderLayout.CENTER);
			jContentPane.add(getJComboBox(), java.awt.BorderLayout.SOUTH);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel() {
		if (jPanel == null) {
			javax.swing.JLabel jLabel = new JLabel();

			jPanel = new JPanel();
			jLabel.setText("Audio Controler");
			jLabel.setForeground(java.awt.SystemColor.activeCaption);
			jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel.setBackground(new java.awt.Color(255,153,255));
			jPanel.add(jLabel, null);
			jPanel.add(getJButton(), null);
		}
		return jPanel;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Start");
			jButton.setBackground(new java.awt.Color(255,255,153));
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.setForeground(new java.awt.Color(255,51,51));
			jButton.addActionListener(new java.awt.event.ActionListener() { 

				public void actionPerformed(java.awt.event.ActionEvent e) {
				    if(audioFile != null){
				        jButton.setEnabled(false);	// unenabled start button.
				        Thread thread = new Thread(new PlayAudio(audioFile));
				        String temp = audioFile;
				        audioFile = null;
				        thread.start();
				        try {
				            thread.join();
				        } catch(InterruptedException ie) {
				            ie.printStackTrace();
				        }
				        jButton.setEnabled(true);	// anabled start button.
				        audioFile = temp;
				    }
				}
			});

		}
		return jButton;
	}

	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setForeground(java.awt.SystemColor.activeCaption);
			jComboBox.setBackground(new java.awt.Color(255,153,255));
			jComboBox.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jComboBox.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if(jComboBox.getSelectedItem() == listItems[0]) {
					    audioFile = "start";
					} else if(jComboBox.getSelectedItem() == listItems[1]) {
					    audioFile = "negotiation";
					}
				}
			});
		}
		for(int i = 0; i < listItems.length; i++) {
			jComboBox.addItem(listItems[i]);
		}
		return jComboBox;
	}

   }
