/*
 * Created on 2004/08/10
 *
 */
package jnet.hirommy.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
/**
 * This class for providing file management tab panel.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class FileManagerTabPanel extends JPanel {
	
	private static final int TOP_INSET = 0;
	private static final int LEFT_INSET = 8;
	
	private JDesktopPane jDesktopPane = null;
	private FileManegerControlInternalFrame fileManegerControlInternalFrame = null;
	private InfoLogVieweInternalFrame myInfoLogVieweInternalFrame = null;
	/**
	 * This is the default constructor
	 */
	public FileManagerTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(MainWindow.WIDTH, MainWindow.HEIGHT);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(MainWindow.WIDTH,MainWindow.HEIGHT));
			jDesktopPane.setBackground(new java.awt.Color(102,102,102));
			jDesktopPane.add(getFileManegerControlInternalFrame(), null);
			jDesktopPane.add(getMyInfoLogVieweInternalFrame(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes fileManegerControlInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.FileManegerControlInternalFrame	
	 */    
	private FileManegerControlInternalFrame getFileManegerControlInternalFrame() {
		if (fileManegerControlInternalFrame == null) {
			fileManegerControlInternalFrame = new FileManegerControlInternalFrame();
			fileManegerControlInternalFrame.setBounds(LEFT_INSET, TOP_INSET, FileManegerControlInternalFrame.WIDTH, FileManegerControlInternalFrame.HEIGHT);
		}
		fileManegerControlInternalFrame.setVisible(true);
		return fileManegerControlInternalFrame;
	}
	/**
	 * This method initializes myInfoLogVieweInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.MyInfoLogVieweInternalFrame	
	 */    
	private InfoLogVieweInternalFrame getMyInfoLogVieweInternalFrame() {
		if (myInfoLogVieweInternalFrame == null) {
			myInfoLogVieweInternalFrame = new InfoLogVieweInternalFrame();
			myInfoLogVieweInternalFrame.setBounds(LEFT_INSET + FileManegerControlInternalFrame.WIDTH, TOP_INSET, InfoLogVieweInternalFrame.WIDTH, InfoLogVieweInternalFrame.HEIGHT);
		}
		myInfoLogVieweInternalFrame.setVisible(true);
		return myInfoLogVieweInternalFrame;
	}
   }
