/*
 * Created on 2004/08/30
 *
 */
package jnet.hirommy.gui;

import javax.swing.JInternalFrame;

import javax.swing.JLabel;
import javax.swing.JTextArea;
import javax.swing.JButton;
import javax.swing.JPanel;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import jnet.hirommy.util.InfoLogger;
import jnet.hirommy.util.file.RealDataSourceWriter;
import jnet.hirommy.util.file.RealDataSourceFactory;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class FileManegerControlInternalFrame extends JInternalFrame {
	
	public static final int WIDTH = 300;
	public static final int HEIGHT = 90;
	
	private javax.swing.JPanel jContentPane = null;

	private JLabel jLabel = null;
	private JTextArea jTextArea = null;
	private JButton jButton = null;
	private JButton jButton1 = null;
	private JPanel jPanel1 = null;
	/**
	 * This is the default constructor
	 */
	public FileManegerControlInternalFrame() {
		super("FileManagerControler");
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(WIDTH,HEIGHT);
		this.setContentPane(getJContentPane());
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			jLabel = new JLabel();
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(new FlowLayout());
			jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jLabel.setText(" File Name");
			jContentPane.add(getJPanel1(), null);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */    
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
			jTextArea.setText("filled in file name.");
			jTextArea.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
		}
		return jTextArea;
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Save");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// create RealDataSource object
					RealDataSourceFactory.createRealDataSource();
					
					// save to faile.
					new RealDataSourceWriter().write(jTextArea.getText());
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Flash");
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// clear InfoLogger.
					InfoLogger.getInstance().flash();
				}
			});
		}
		return jButton1;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			java.awt.GridLayout gridLayout7 = new GridLayout();
			jPanel1 = new JPanel();
			jPanel1.setLayout(gridLayout7);
			gridLayout7.setRows(2);
			gridLayout7.setColumns(2);
			jPanel1.add(jLabel, null);
			jPanel1.add(getJTextArea(), null);
			jPanel1.add(getJButton(), null);
			jPanel1.add(getJButton1(), null);
			jPanel1.setPreferredSize(new java.awt.Dimension(280,50));
		}
		return jPanel1;
	}
}  //  @jve:decl-index=0:visual-constraint="40,40"
