/*
 * Created on 2004/09/07
 *
 */
package jnet.hirommy.gui;

import javax.swing.JInternalFrame;

import java.awt.GridLayout;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.JTextField;

import jnet.hirommy.core.SystemProperty;
import jnet.its.ivc.predict.PredictionAlgorithm;
import jnet.its.ivc.predict.SimplePredictionMethod;
import jnet.its.ivc.reaction.ReactionAlgorithm;
import jnet.its.ivc.reaction.SimpleReactionMethod;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class SetUpIVCINternalFrame extends JInternalFrame {
	
	public static final int WIDTH = 400;
	public static final int HEIGHT = 150;
	
	/**
	 * reaction method lists
	 */
	private String[] reactionMethodLists = {"SimpleReactionMethod"
											
											};
	
	/**
	 * prediction method lists
	 */
	private String[] predictionMethodLists = {"SimplePredictionMehod"
			
												};
	
	// parameter lists
	private String reactionRadius = "10";				// reactionRadius
	private PredictionAlgorithm predictionAlgorithm
			 = new SimplePredictionMethod();			// predictional
	// reaction algorithm.
	private ReactionAlgorithm reactionAlgorithm
			 = new SimpleReactionMethod(Double.parseDouble(reactionRadius));
	
	private javax.swing.JPanel jContentPane = null;

	private JButton jButton = null;
	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JLabel jLabel = null;
	private JComboBox jComboBox = null;
	private JPanel jPanel2 = null;
	private JLabel jLabel1 = null;
	private JTextField jTextField = null;
	private JPanel jPanel3 = null;
	private JLabel jLabel2 = null;
	private JComboBox jComboBox1 = null;
	/**
	 * This is the default constructor
	 */
	public SetUpIVCINternalFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("SetUp IVC Window");
		this.setSize(WIDTH,HEIGHT);
		this.setContentPane(getJContentPane());
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			java.awt.GridLayout gridLayout1 = new GridLayout();
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(gridLayout1);
			gridLayout1.setRows(4);
			jContentPane.add(getJPanel(), null);
			jContentPane.add(getJPanel1(), null);
			jContentPane.add(getJPanel2(), null);
			jContentPane.add(getJPanel3(), null);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("OK");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.setBackground(new java.awt.Color(255,255,153));
			jButton.setForeground(new java.awt.Color(0,51,204));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// get reaction radius.
					double d = Double.parseDouble(jTextField.getText());
					// set reaction radius.
					reactionAlgorithm.setReactionRadius(d);
					// set algorithm.
					SystemProperty.getInstance().setReactionRadius(d);
					SystemProperty.getInstance().setReactionAlgorithsm(reactionAlgorithm);
					SystemProperty.getInstance().setPredictionAlgorithm(predictionAlgorithm);
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel() {
		if (jPanel == null) {
			java.awt.GridLayout gridLayout2 = new GridLayout();
			jPanel = new JPanel();
			jPanel.setLayout(gridLayout2);
			gridLayout2.setRows(1);
			jPanel.add(getJButton(), null);
		}
		return jPanel;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jLabel = new JLabel();
			java.awt.GridLayout gridLayout3 = new GridLayout();
			jPanel1 = new JPanel();
			jPanel1.setLayout(gridLayout3);
			gridLayout3.setRows(1);
			jLabel.setText("Reaction Method");
			jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel1.add(jLabel, null);
			jPanel1.add(getJComboBox(), null);
		}
		return jPanel1;
	}
	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jComboBox.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// change reaction algorithm.
					if (jComboBox.getSelectedItem() == reactionMethodLists[0] ) {
						reactionAlgorithm = new SimpleReactionMethod(Double.parseDouble(reactionRadius));
					}
				}
			});
		}
		for (int i = 0; i < reactionMethodLists.length; i++) {
			jComboBox.addItem(reactionMethodLists[i]);
		}
		return jComboBox;
	}
	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jLabel1 = new JLabel();
			java.awt.GridLayout gridLayout4 = new GridLayout();
			jPanel2 = new JPanel();
			jPanel2.setLayout(gridLayout4);
			jLabel1.setText("Rection Radius");
			jLabel1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			gridLayout4.setRows(1);
			jPanel2.add(jLabel1, null);
			jPanel2.add(getJTextField(), null);
		}
		return jPanel2;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setText("10");
			jTextField.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
		}
		return jTextField;
	}
	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jLabel2 = new JLabel();
			java.awt.GridLayout gridLayout5 = new GridLayout();
			jPanel3 = new JPanel();
			jPanel3.setLayout(gridLayout5);
			jLabel2.setText("Prediction Method");
			jLabel2.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			gridLayout5.setRows(1);
			jPanel3.add(jLabel2, null);
			jPanel3.add(getJComboBox1(), null);
		}
		return jPanel3;
	}
	/**
	 * This method initializes jComboBox1	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox1() {
		if (jComboBox1 == null) {
			jComboBox1 = new JComboBox();
			jComboBox1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jComboBox1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// change prediction algorithm.
					if (jComboBox1.getSelectedItem() == predictionMethodLists[0]) {
						predictionAlgorithm = new SimplePredictionMethod();
					}
				}
			});
		}
		for (int i = 0; i < predictionMethodLists.length; i++) {
			jComboBox1.addItem(predictionMethodLists[i]);
		}
		return jComboBox1;
	}
 }
