/*
 * Created on 2004/09/07
 *
 */
package jnet.hirommy.gui;

import javax.swing.JInternalFrame;

import java.awt.GridLayout;
import javax.swing.JPanel;
import javax.swing.JCheckBox;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.JTextField;

import jnet.hirommy.core.SystemProperty;
import jnet.its.vpec.reflect.ReflectAlgorithm;
import jnet.its.vpec.reflect.SimpleReflectMethod;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class SetUpVPECInternalFrame extends JInternalFrame {
	
	public static final int WIDTH = 400;
	public static final int HEIGHT = 150;
	
	// reflect method.
	private String[] reflectMethodLists = {
											"Simple Reflect Method"
											};
	// reflect radius.
	private String reflectRadius = "10";
	
	// reflect method.
	private ReflectAlgorithm reflectAlgorithm = new SimpleReflectMethod();
	
	// reflect flag
	private boolean reflectFlag = false;
	
	private javax.swing.JPanel jContentPane = null;

	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JPanel jPanel2 = null;
	private JCheckBox jCheckBox = null;
	private JButton jButton = null;
	private JPanel jPanel3 = null;
	private JLabel jLabel = null;
	private JComboBox jComboBox = null;
	private JLabel jLabel1 = null;
	private JTextField jTextField = null;
	/**
	 * This is the default constructor
	 */
	public SetUpVPECInternalFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("SetUP VPEC Window");
		this.setSize(WIDTH,HEIGHT);
		this.setContentPane(getJContentPane());
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			java.awt.GridLayout gridLayout6 = new GridLayout();
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(gridLayout6);
			gridLayout6.setRows(4);
			jContentPane.add(getJPanel(), null);
			jContentPane.add(getJPanel1(), null);
			jContentPane.add(getJPanel2(), null);
			jContentPane.add(getJPanel3(), null);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel() {
		if (jPanel == null) {
			java.awt.GridLayout gridLayout7 = new GridLayout();
			jPanel = new JPanel();
			jPanel.setLayout(gridLayout7);
			gridLayout7.setRows(1);
			jPanel.add(getJButton(), null);
		}
		return jPanel;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			java.awt.GridLayout gridLayout8 = new GridLayout();
			jPanel1 = new JPanel();
			jPanel1.setLayout(gridLayout8);
			gridLayout8.setRows(1);
			jPanel1.add(getJCheckBox(), null);
		}
		return jPanel1;
	}
	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jLabel = new JLabel();
			java.awt.GridLayout gridLayout9 = new GridLayout();
			jPanel2 = new JPanel();
			jPanel2.setLayout(gridLayout9);
			gridLayout9.setRows(1);
			jLabel.setText("Reflect Method");
			jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel2.add(jLabel, null);
			jPanel2.add(getJComboBox(), null);
		}
		return jPanel2;
	}
	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */    
	private JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.setText("Reflect");
			jCheckBox.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jCheckBox.addItemListener(new java.awt.event.ItemListener() { 
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					if (e.getItemSelectable() == jCheckBox) {
						if (jCheckBox.isSelected()) {
							// reflect on
							reflectFlag = true;	
						} else {
							// reflect off
							reflectFlag = false;
						}
					}
				}
			});
		}
		return jCheckBox;
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("OK");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.setForeground(new java.awt.Color(0,51,204));
			jButton.setBackground(new java.awt.Color(255,255,153));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// get reflect radius.
					double d = Double.parseDouble(jTextField.getText());
					
					// set property.
					SystemProperty.getInstance().setReflect(reflectFlag);
					SystemProperty.getInstance().setReactionRadius(d);
					SystemProperty.getInstance().setReflectAlgorithm(reflectAlgorithm);
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jLabel1 = new JLabel();
			java.awt.GridLayout gridLayout10 = new GridLayout();
			jPanel3 = new JPanel();
			jPanel3.setLayout(gridLayout10);
			gridLayout10.setRows(1);
			jLabel1.setText("Reflect Radius");
			jLabel1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel3.add(jLabel1, null);
			jPanel3.add(getJTextField(), null);
		}
		return jPanel3;
	}
	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jComboBox.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// chenge reflect method.
					if (jComboBox.getSelectedItem() == reflectMethodLists[0]) {
						reflectAlgorithm = new SimpleReflectMethod();
					}
				}
			});
		}
		for (int i = 0; i < reflectMethodLists.length; i++) {
			jComboBox.addItem(reflectMethodLists[i]);
		}
		return jComboBox;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
		}
		return jTextField;
	}
  }
