/*
 * Created on 2004/08/10
 *
 */
package jnet.hirommy.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;

import jnet.hirommy.util.ViewerHandler;
import jnet.hirommy.util.ViewerHandlerImpl;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class SimulationTabPanel extends JPanel {
	
	private static final int LEFT_INSET = 8;
	private static final int TOP_INSET = 5;
	
	private JDesktopPane jDesktopPane = null;
	private SimulationSetUpInternalFrame simulationSetUplInternalFrame = null;
	private static GpsViewer gpsViewer = null;
	private SimulationViewerSetUpInternalFrame simulationVInternalFrame = null;
	/**
	 * This is the default constructor
	 */
	public SimulationTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(MainWindow.WIDTH, MainWindow.HEIGHT);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(MainWindow.WIDTH,MainWindow.HEIGHT));
			jDesktopPane.setBackground(new java.awt.Color(102,102,102));
			jDesktopPane.add(getGpsViewer(), null);
			jDesktopPane.add(getSimulationSetUplInternalFrame(), null);
			jDesktopPane.add(getSimulationVInternalFrame(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes simulationViewerControlInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.SimulationViewerControlInternalFrame	
	 */    
	private SimulationSetUpInternalFrame getSimulationSetUplInternalFrame() {
		if (simulationSetUplInternalFrame == null) {
			simulationSetUplInternalFrame = new SimulationSetUpInternalFrame();
			simulationSetUplInternalFrame.setBounds(LEFT_INSET, 0, SimulationSetUpInternalFrame.WIDTH, SimulationSetUpInternalFrame.HEIGHT);
		}
		simulationSetUplInternalFrame.setVisible(true);
		simulationSetUplInternalFrame.setBounds(LEFT_INSET, SimulationViewerSetUpInternalFrame.HEIGHT, LEFT_INSET + SimulationSetUpInternalFrame.WIDTH, SimulationSetUpInternalFrame.HEIGHT);
		return simulationSetUplInternalFrame;
	}
	/**
	 * This method initializes gpsViewer	
	 * 	
	 * @return jnet.hirommy.gui.GpsViewer	
	 */    
	private GpsViewer getGpsViewer() {
		if (gpsViewer == null) {
			ViewerHandler vh = new ViewerHandlerImpl();
			gpsViewer = new GpsViewer();
			gpsViewer.setBounds(LEFT_INSET * 2 + SimulationSetUpInternalFrame.WIDTH, 0, LEFT_INSET + (int)GpsViewer.WINDOW_SIZE, (int)GpsViewer.WINDOW_SIZE + (int)GpsViewer.TOP_INSET);
		}
		gpsViewer.setVisible(true);
		return gpsViewer;
	}
	
	/**
	 * This method return GpsViewer instance.
	 * 
	 * @return instance of gpsViewer.
	 */
	public static GpsViewer getGpsViewerInstance() {
		return gpsViewer;
	}
	/**
	 * This method initializes simulationViewerSetUpInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.SimulationViewerSetUpInternalFrame	
	 */    
	private SimulationViewerSetUpInternalFrame getSimulationVInternalFrame() {
		if (simulationVInternalFrame == null) {
			simulationVInternalFrame = new SimulationViewerSetUpInternalFrame();
			simulationVInternalFrame.setBounds(LEFT_INSET, 0, LEFT_INSET + SimulationViewerSetUpInternalFrame.WIDTH, SimulationViewerSetUpInternalFrame.HEIGHT);
		}
		simulationVInternalFrame.setVisible(true);
		return simulationVInternalFrame;
	}
 }
