/*
 * Created on 2004/08/10
 *
 */
package jnet.hirommy.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class ViewerTabPanel extends JPanel {
	
	private static final int LEFT_INSET = 8;
	
	private JDesktopPane jDesktopPane = null;
	private ViewerSetUpInternalFrame gpsViewerSetUpInternalFrame = null;
	private static GpsViewer gpsViewer = null;
	private static MyPropertyViewInternalFrame myPropertyViewer = null;
	private static ReceivingInfoViewInternalFrame receivingInfoViewInternalFrame = null;
	/**
	 * This is the default constructor
	 */
	public ViewerTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(MainWindow.WIDTH,MainWindow.HEIGHT);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(MainWindow.WIDTH,MainWindow.HEIGHT));
			jDesktopPane.setBackground(new java.awt.Color(102,102,102));
			jDesktopPane.add(getGpsViewer(), null);
			jDesktopPane.add(getGpsViewerSetUpInternalFrame(), null);
			jDesktopPane.add(getMyPropertyViewer(), null);
			jDesktopPane.add(getReceivingInfoViewInternalFrame(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes gpsViewerSetUpInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.GpsViewerSetUpInternalFrame	
	 */    
	private ViewerSetUpInternalFrame getGpsViewerSetUpInternalFrame() {
		if (gpsViewerSetUpInternalFrame == null) {
			gpsViewerSetUpInternalFrame = new ViewerSetUpInternalFrame();
			gpsViewerSetUpInternalFrame.setBounds(LEFT_INSET, 0, LEFT_INSET + ViewerSetUpInternalFrame.WIDTH, ViewerSetUpInternalFrame.HEIGHT);
		}
		gpsViewerSetUpInternalFrame.setVisible(true);
		return gpsViewerSetUpInternalFrame;
	}
	/**
	 * This method initializes gpsViewer	
	 * 	
	 * @return jnet.hirommy.gui.GpsViewer	
	 */    
	private GpsViewer getGpsViewer() {
		if (gpsViewer == null) {
			gpsViewer = new GpsViewer();
			gpsViewer.setBounds(LEFT_INSET * 2 + ViewerSetUpInternalFrame.WIDTH, 0, LEFT_INSET + (int)GpsViewer.WINDOW_SIZE, (int)GpsViewer.WINDOW_SIZE + (int)GpsViewer.TOP_INSET);
		}
		gpsViewer.setVisible(true);
		return gpsViewer;
	}
	/**
	 * This method return GpsViewer instance.
	 * @return GpsViewer
	 */
	public static GpsViewer getGpsViewerInstance() {
		return gpsViewer;
	}
	/**
	 * This method return MyPropertyViewInternalFrame instance.
	 * @return myPropertyViewer
	 */
	public static MyPropertyViewInternalFrame getMyPropertyViewInternalFrameInstance() {
		return myPropertyViewer;
	}
	/**
	 * This method return ReceivingInfoViewInternalFrame instance.
	 * @return receivingInfoViewInternalFrame
	 */
	public static ReceivingInfoViewInternalFrame getReceivingInfoViewInternalFrameInstance() {
		return receivingInfoViewInternalFrame;
	}
	/**
	 * This method initializes myPropertyViewer	
	 * 	
	 * @return jnet.hirommy.gui.MyPropertyViewer	
	 */    
	private MyPropertyViewInternalFrame getMyPropertyViewer() {
		if (myPropertyViewer == null) {
			myPropertyViewer = new MyPropertyViewInternalFrame();
			myPropertyViewer.setBounds(LEFT_INSET, ViewerSetUpInternalFrame.HEIGHT, LEFT_INSET + MyPropertyViewInternalFrame.WIDTH, MyPropertyViewInternalFrame.HEIGHT);
		}
		myPropertyViewer.setVisible(true);
		return myPropertyViewer;
	}
	/**
	 * This method initializes receivingInfoViewInternalFrame	
	 * 	
	 * @return jnet.hirommy.gui.ReceivingInfoViewInternalFrame	
	 */    
	private ReceivingInfoViewInternalFrame getReceivingInfoViewInternalFrame() {
		if (receivingInfoViewInternalFrame == null) {
			receivingInfoViewInternalFrame = new ReceivingInfoViewInternalFrame();
			receivingInfoViewInternalFrame.setBounds(LEFT_INSET, ViewerSetUpInternalFrame.HEIGHT + MyPropertyViewInternalFrame.HEIGHT, LEFT_INSET + ReceivingInfoViewInternalFrame.WIDTH, ReceivingInfoViewInternalFrame.HEIGHT);
		}
		receivingInfoViewInternalFrame.setVisible(true);
		return receivingInfoViewInternalFrame;
	}
    }
