/*
 * Created on 2004/08/09
 *
 */
package jnet.hirommy.gui;

import javax.swing.JPanel;
import java.awt.GridLayout;
import javax.swing.JButton;

import jnet.hirommy.comm.SerialPortAddapter;
import jnet.hirommy.core.InfoReceiver;
import jnet.hirommy.core.SystemProperty;
import jnet.hirommy.util.ViewerHandler;
import jnet.hirommy.util.ViewerHandlerImpl;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class ViwereContlolPanel extends JPanel {
	
	private SerialPortAddapter serialPortAddapter;
	private InfoReceiver infoReceiverThread;
	
	private JButton jButton = null;
	private JButton jButton1 = null;
	private JButton jButton2 = null;
	/**
	 * This is the default constructor
	 */
	public ViwereContlolPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		java.awt.GridLayout gridLayout2 = new GridLayout();
		this.setLayout(gridLayout2);
		gridLayout2.setColumns(1);
		gridLayout2.setHgap(3);
		gridLayout2.setVgap(3);
		this.setSize(290, 40);
		this.setBackground(new java.awt.Color(204,204,204));
		gridLayout2.setRows(1);
		this.add(getJButton(), null);
		this.add(getJButton1(), null);
		this.add(getJButton2(), null);
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Start");
			jButton.setBackground(new java.awt.Color(255,255,153));
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.setForeground(new java.awt.Color(0,51,204));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// The acquisition start of the GPS information from a satellite
					serialPortAddapter = new SerialPortAddapter(SystemProperty.getInstance().getSerialPortNumber());
					serialPortAddapter.start();
					
					// The reception start which is information from other terminals.
					infoReceiverThread = new InfoReceiver();
					infoReceiverThread.start();
					
					// unenabled start button
					jButton.setEnabled(false);
					//enabled stop button
					jButton1.setEnabled(true);
					
					System.out.println("start Receiving process.");
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Stop");
			jButton1.setBackground(new java.awt.Color(255,255,153));
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton1.setForeground(new java.awt.Color(204,0,0));
		}
		jButton1.setEnabled(false);
		jButton1.addActionListener(new java.awt.event.ActionListener() { 
			public void actionPerformed(java.awt.event.ActionEvent e) {
				// The acquisition end of the GPS information from a satellite.
				serialPortAddapter.close();
				
				// The reception end which is information from other terminals.
				infoReceiverThread.close();
				
				// enabled start button.
				jButton.setEnabled(true);
				//unenabled stop button.
				jButton1.setEnabled(false);
			}
		});
		return jButton1;
	}
	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("Update");
			jButton2.setBackground(new java.awt.Color(255,255,153));
			jButton2.setForeground(new java.awt.Color(0,51,153));
			jButton2.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton2.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					ViewerHandler viewerHandler = new ViewerHandlerImpl();
					// update GpsViewer.
					viewerHandler.repaintGpsViewer();
					// update MyPropertyViewer.
					viewerHandler.repaintMyPropertyViewer();
					// update ReceivingInfomationViewer.
					viewerHandler.repaintReceivingInfoViewer();
				}
			});
		}
		return jButton2;
	}
   }  //  @jve:decl-index=0:visual-constraint="10,10"
