/*
 * Created on 2004/08/20
 *
 */
package jnet.hirommy.info;

/**
 * This class reprecents Building.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class Building {
	/**
	 * name of building
	 */
	private String name;
	
	/**
	 * latitude of building
	 */
	private String latitude;
	
	/**
	 * longitude of building
	 */
	private String longitude;
	
	/**
	 * This is a default constractor.
	 * 
	 * @param name name of building
	 * @param latitude latitude of building
	 * @param longitude longitude of building
	 */
	Building(String name, String latitude, String longitude) {
		this.name = name;
		this.latitude = latitude;
		this.longitude = longitude;
	}
	
	/**
	 * This method is string description of this class.
	 * 
	 */
	public String toString() {
		return "<name>" + name + "</name>"
				+ "<latitude>" + latitude + "</latitude>"
				+ "<longitude>" + longitude + "</longitude>";
	}
	
	/**
	 * This method returns latitude.
	 * 
	 * @return Returns the latitude.
	 */
	public String getLatitude() {
		return latitude;
	}
	
	/**
	 * This method returns longitude.
	 * 
	 * @return Returns the longitude.
	 */
	public String getLongitude() {
		return longitude;
	}
	
	/**
	 * This method returns name of building.
	 * 
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
}
