/*
 * Created on 2004/08/07
 *
 */
package jnet.hirommy.info;

import java.io.Serializable;

/**
 * This class expresses GPS information.
 * This infomation is created by GPS Receiver hardware and GPSInfoCreater
 * based on the information acquired from the satellite.
 * 
 * @author Kazuya Sakai
 * @version 2.00
 * @since jdk 1.4.2
 */
public class GpsInfo implements Serializable{
	
	/**
	 * time time when this GPS infomation is getted from satellite.
	 */
	private String time;
	
	/**
	 * latitude.
	 */
	private String latitude;

	/**
	 * longitude.
	 */
	private String longitude;
	
	/**
	 * Position state.
	 */
	private String state;
	
	/**
	 * the number of Satellite.
	 */
	private String satellite;
	
	/**
	 * Altitude
	 */
	private String altitude;
	
	/**
	 * This is the default constructor.
	 * 
	 * @param time time when this GPS infomation is getted from satellite.
	 * @param latitude latitude
	 * @param longitude longitude
	 * @param state position state
	 * @param satellite the number of satelite
	 * @param altitude altitude
	 */
	public GpsInfo (String time,
			 String latitude,
			 String longitude,
			 String state,
			 String satellite,
			 String altitude) {
		this.time = time;
		this.latitude = latitude;
		this.longitude = longitude;
		this.state = state;
		this.satellite = satellite;
		this.altitude = altitude;
	}
	/**
	 * This method returns character sequence expression of this class.
	 * 
	 * @return String of This class.
	 */
	public String toString() {
		return "<time>" + time + "</time>"
				+ "<latitude>" + latitude + "</latitude>"
				+ "<longitude>" + longitude + "</longitude>"
				+ "<state>" + state + "</state>"
				+ "<satellite>" + satellite + "</satellite>"
				+ "<altitude>" + altitude + "</altitude>";
	}
	/**
	 * This method for getting latitude.
	 * 
	 * @return Returns the latitude.
	 */
	public String getLatitude() {
		return latitude;
	}
	/**
	 * This method for getting longitude.
	 * 
	 * @return Returns the longitude.
	 */
	public String getLongitude() {
		return longitude;
	}
	/**
	 * This method for getting time.
	 * 
	 * @return Returns the time.
	 */
	public String getTime() {
		return time;
	}
	/**
	 * This method for getting altitude.
	 * 
	 * @return Returns the altitude.
	 */
	public String getAltitude() {
		return altitude;
	}
	/**
	 * This method for getting satellite.
	 * 
	 * @return Returns the satellite.
	 */
	public String getSatellite() {
		return satellite;
	}
	/**
	 * This method for getting PositionState.
	 * 
	 * @return Returns the positionState.
	 */
	public String getState() {
		return state;
	}
}
