/*
 * Created on 2004/08/07
 *
 */
package jnet.hirommy.info;

import java.io.Serializable;

/**
 * This class expresses Packet to exchange infomation between a terminal.
 * A terminal exchanges information for a unit for this HirommyPacket.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class HirommyPacket implements Serializable {
	/**
	 * IP Address of this terminal.
	 * 
	 */
	private String ipAddr;
	
	/**
	 * MyProfile of this terminal.
	 * 
	 */
	private MyProfile myProfile	;
	
	/**
	 * GpsInfo of this terminal.
	 * 
	 */
	private GpsInfo gpsInfo;
	
	/**
	 * OptionInfo of this terminal.
	 * 
	 */
	private OptionInfo optionInfo;
	
	/**
	 * EventInfo.
	 * 
	 */
	private EventInfo eventInfo;
	
	/**
	 * This is the default constructor.
	 * 
	 * @param ipAddr IP Address of a terminal.
	 * @param myProfile Profile of this terminal.
	 * @param gpsInfo GpsInfo of this terminal.
	 * @param optionInfo OptionInfo of this terminal.
	 * @param eventInfo EventInfo.
	 */
	public HirommyPacket(String ipAddr,
				  MyProfile myProfile,
				  GpsInfo gpsInfo,
				  OptionInfo optionInfo,
				  EventInfo eventInfo) {
		this.ipAddr = ipAddr;
		this.myProfile = myProfile;
		this.gpsInfo = gpsInfo;
		this.optionInfo = optionInfo;
		this.eventInfo = eventInfo;
	}
	/**
	 * This method returns character sequence expression of this class.
	 * 
	 * @return String of This class.
	 */
	public String toString() {
		return "<?xml version=\"1.0\"?>"
				+ "<Hirommy>"
				+ "<IPAddress>" + ipAddr + "</IPAddress>"
				+ "<MyProfile>" + myProfile.toString() + "</MyProfile>"
				+ "<GpsInfo>" + gpsInfo.toString() + "</GpsInfo>"
				+ "<Option>" + optionInfo.toString() + "</Option>"
				+ "<EventInfo>" + eventInfo.toString() + "</EventInfo>"
				+ "</Hirommy>";
	}
	/**
	 * This method for getting Event infomation.
	 * 
	 * @return Returns the eventInfo.
	 */
	public EventInfo getEventInfo() {
		return eventInfo;
	}
	/**
	 * This method for getting GPS infomation.
	 * 
	 * @return Returns the gpsInfo.
	 */
	public GpsInfo getGpsInfo() {
		return gpsInfo;
	}
	/**
	 * This method for getting IP Address.
	 * 
	 * @return Returns the ipAddr.
	 */
	public String getIpAddr() {
		return ipAddr;
	}
	/**
	 * This method for getting Option infomation.
	 * 
	 * @return Returns the optionInfo.
	 */
	public OptionInfo getOptionInfo() {
		return optionInfo;
	}
	/**
	 * @return Returns the myProfile.
	 */
	public MyProfile getMyProfile() {
		return myProfile;
	}
}
