/*
 * Created on 2004/08/07
 *
 */
package jnet.hirommy.info;

import java.io.Serializable;

/**
 * This class expresses Option data.
 * If you want to extend Hirommy Packet infomatin, 
 * this class will be customized.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class OptionInfo implements Serializable {
	
	private String accel;		// Accelerator
	private String speed;		// Speed
	private String headding;	// headding
	
	/**
	 * This is the default constructor.
	 * @param accel accel
	 * @param speed speed
	 * @param headding headding
	 */
	public OptionInfo(String accel,
					   String speed,
					   String headding) {
		this.accel = accel;
		this.speed = speed;
		this.headding = headding;
	}
	
	/**
	 * This method returns character sequence expression of this class.
	 * @return String of This class.
	 */
	public String toString() {
		return "<Accelerator>" + accel + "</Accelerator>"
				+ "<Speed>" + speed + "</Speed>"
				+ "<Headding>" + headding + "</Headding>";
	}
	/**
	 * @return Returns the accel.
	 */
	public String getAccel() {
		return accel;
	}
	/**
	 * @return Returns the headding.
	 */
	public String getHeadding() {
		return headding;
	}
	/**
	 * @return Returns the speed.
	 */
	public String getSpeed() {
		return speed;
	}
}
