/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util;

import jnet.hirommy.gui.GpsViewer;
import jnet.hirommy.gui.MyPropertyViewInternalFrame;
import jnet.hirommy.gui.ReceivingInfoViewInternalFrame;
import jnet.hirommy.info.HirommyPacket;

/**
 * This is a interface that handle Visual Class of Viewer.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public interface ViewerHandler {
	/**
	 * update GpsViewer.
	 *
	 */
	public abstract void repaintGpsViewer();
	
	/**
	 * update MyInfoViewer.
	 *
	 */
	public abstract void repaintMyPropertyViewer();
	
	/**
	 * update IncomInfoViewer.
	 * 
	 */
	public abstract void repaintReceivingInfoViewer();
	
	/**
	 * update IncomInfoViewer.
	 * 
	 * @param hirommyPacket lately incoming infomation.
	 */
	public abstract void repaintReceivingInfoViewer(HirommyPacket hirommyPacket);
	
	/**
	 * This method return GpsViewer instance of Viewer Panel.
	 * 
	 * @return instance of GpsViewer of Viewer Panel.
	 */
	public abstract GpsViewer getGpsViewerInstance();
	
	/**
	 * This method return MyPropertyViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of MyPropertyViewInternalFrame
	 */
	public abstract MyPropertyViewInternalFrame getMyPropertyViewerInstance();
	
	/**
	 * This method return ReceivingInfoViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of ReceivingInfoViewInternalFrame
	 */
	public abstract ReceivingInfoViewInternalFrame getReceivingInfoViewerInstance();
}
