/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util;

import jnet.hirommy.gui.GpsViewer;
import jnet.hirommy.gui.MyPropertyViewInternalFrame;
import jnet.hirommy.gui.ReceivingInfoViewInternalFrame;
import jnet.hirommy.gui.ViewerTabPanel;
import jnet.hirommy.info.HirommyPacket;

/**
 * This class implements ViewerHandler interface.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class ViewerHandlerImpl implements ViewerHandler {

	/**
	 * update GpsViewer.
	 * 
	 * @see jnet.hirommy.util.ViewerHandler#repaintGpsViewer()
	 */
	public void repaintGpsViewer() {
		try {
			ViewerTabPanel.getGpsViewerInstance().repaint();		// update GpsViewer.
		} catch (NullPointerException e) {
			System.out.println("Error : NullPointerException occurs in GUI.");
			e.printStackTrace();
		}
	}

	/**
	 * update MyInfoViewer.
	 * 
	 * @see jnet.hirommy.util.ViewerHandler#repaintMyPropertyViewer()
	 */
	public void repaintMyPropertyViewer() {
		try {
			// update MyPropertyViewInternalFrame
			ViewerTabPanel.getMyPropertyViewInternalFrameInstance().repaint();
		} catch (NullPointerException e) {
			System.out.println("Error : NullPointerException occurs in GUI.");
			e.printStackTrace();
		}
	}
	
	/**
	 * update IncomInfoViewer.
	 * 
	 */
	public void repaintReceivingInfoViewer() {
		ViewerTabPanel.getReceivingInfoViewInternalFrameInstance().repaint();
	}
	
	/**
	 * update IncomInfoViewer.
	 * 
	 * @param hirommyPacket lately incoming infomation.
	 * @see jnet.hirommy.util.ViewerHandler#repaintReceivingInfoViewer(jnet.hirommy.info.HirommyPacket)
	 */
	public void repaintReceivingInfoViewer(HirommyPacket hirommyPacket) {
		ViewerTabPanel.getReceivingInfoViewInternalFrameInstance().setHirommyPacket(hirommyPacket);
		ViewerTabPanel.getReceivingInfoViewInternalFrameInstance().repaint();
	}
	
	/**
	 * This method return GpsViewer instance of Viewer Panel.
	 * 
	 * @return instance of GpsViewer of Viewer Panel.
	 */
	public GpsViewer getGpsViewerInstance() {
		return ViewerTabPanel.getGpsViewerInstance();
	}
	
	/**
	 * This method return MyPropertyViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of MyPropertyViewInternalFrame
	 */
	public MyPropertyViewInternalFrame getMyPropertyViewerInstance() {
		return ViewerTabPanel.getMyPropertyViewInternalFrameInstance();
	}
	
	/**
	 * This method return ReceivingInfoViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of ReceivingInfoViewInternalFrame
	 */
	public ReceivingInfoViewInternalFrame getReceivingInfoViewerInstance() {
		return ViewerTabPanel.getReceivingInfoViewInternalFrameInstance();
	}
}
