/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util.file;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.LinkedList;

import jnet.hirommy.sim.RealDataSource;

/**
 * This class read DataSource object.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class DataSourceReader implements FileConst {
	/**
	 * read DataSource object.
	 * 
	 * @param fileName file name.
	 */
	public void read(String fileName) {
		try {
			// get ObjectOutputStream.
			ObjectInputStream objectInputStream =
					new ObjectInputStream(new FileInputStream(LOG_FOLDER_NAME + fileName + EXTENTION_NAME));
			
			// get RealDataSource instance.
			RealDataSource realDataSource = RealDataSource.getInstance();
			
			// read object and set RealDataSource.
			RealDataSource.setRealDataSource((RealDataSource)objectInputStream.readObject());
			
			objectInputStream.close();	// stream is closed.
			
			System.out.println("Road Data.");
			
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public void read(String myInfoFile, String targetInfoFile) {
		
		// get decoder instance.
		XMLDecoder decoder = new SimpleXMLDecoder();
		
		// get my infomation and target infomation.
		LinkedList myInfoLists = decoder.decode(MYINFO_FOLDER_NAME + myInfoFile + ".txt");
		LinkedList targetInfoLists = decoder.decode(INCOMINFO_FOLDER_NAME + targetInfoFile + ".txt");
		
		// get RealDataSource instance.
		RealDataSource realDataSource = RealDataSource.getInstance();
		
		// set real data source.
		realDataSource.setMyInfoLists(myInfoLists);
		realDataSource.setTargetInfoLists(targetInfoLists);
	}
}
