/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util.file;

import java.util.Iterator;
import java.util.LinkedList;

import jnet.hirommy.sim.RealDataSource;
import jnet.hirommy.util.InfoLogger;
import jnet.hirommy.util.TargetTerminal;

/**
 * This class create RealDataSource object from InfoLogger.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class RealDataSourceFactory {
	
	/**
	 * This method create RealDataSource object.
	 *
	 */
	public static void createRealDataSource() {
		// get RealDataSource object.
		RealDataSource realDataSource = RealDataSource.getInstance();
		
		// clear RealDataSource object.
		realDataSource.flush();
		
		// set my infomation history.
		realDataSource.setMyInfoLists((LinkedList)InfoLogger.getInstance().getMyInfo().clone());
		
		// infomation history of target hirommy packet.
		LinkedList targetPacketLists = new LinkedList();
		
		// get target terminal iterator.
		Iterator targetTerminalIterator = InfoLogger.getInstance().getTargetTerminal().iterator();
		while (targetTerminalIterator.hasNext()) {
			targetPacketLists.addAll(((TargetTerminal)targetTerminalIterator.next()).getInfo());
		}
		
		// set target infomation history.
		realDataSource.setTargetInfoLists((LinkedList)targetPacketLists.clone());
		
	}
}
