/*
 * Created on 2004/09/02
 *
 */
package jnet.its.gps;

import java.util.LinkedList;

import jnet.hirommy.info.GpsInfo;

/**
 * This class implements HeaddingCalculator interface.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public abstract class HeaddingCalculatorImpl implements HeaddingCalculator {

	/**
	 * The method for calculating headding.
	 * 
	 * @see jnet.its.gps.HeaddingCalculator#calculateHeadding(java.util.LinkedList, jnet.hirommy.info.GpsInfo)
	 */
	public abstract String calculateHeadding(LinkedList lists, GpsInfo currentGpsInfo);
	
	public String getHeddingName(String headding) {
		
		double compassDegree = Double.parseDouble(headding);
		
		// return direction that this terminal going to...
		// if event position (100, 100), terminal position (150, 150)
		// This Method return number of direction for northeast.
		if ((compassDegree >= 337.5 && compassDegree <= 360.0) 
				|| (compassDegree >= 0.0 && compassDegree < 22.5)) {
			return "North";
		} else if (compassDegree >= 22.5 && compassDegree < 67.5) {
			return "North East";
		} else if (compassDegree >= 67.5 && compassDegree < 112.5) {
			return "East";
		} else if (compassDegree >= 112.5 && compassDegree < 157.5) {
			return "South East";
		} else if (compassDegree >= 157.5 && compassDegree < 202.5) {
			return "South";
		} else if (compassDegree >= 202.5 && compassDegree < 247.5){ 
			return "South West";
		} else if (compassDegree >= 247.5 && compassDegree < 292.5) {
			return "West";
		} else if (compassDegree >= 292.5 && compassDegree < 337.5) {
			return "North West";
		} else {
			return "NONE";
		}
	}
}
