/*
 * Created on 2004/09/03
 *
 */
package jnet.its.ivc.predict;

/**
 * This class is a class showing the position after prediction.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class PredictPosition {
	/**
	 * Predicted positin of latitude.
	 */
	private double latitude;
	
	/**
	 * Predicted position of longitude.
	 */
	private double longitude;
	
	/**
	 * This is a default constractor.
	 * 
	 * @param latitude latitude of predicted position.
	 * @param longitude longitude of predicted position.
	 */
	PredictPosition(double latitude, double longitude) {
		this.latitude = latitude;
		this.longitude = longitude;
	}
	
	/**
	 * This method is for getting predicted latitude.
	 * 
	 * @return Returns the latitude.
	 */
	public double getLatitude() {
		return latitude;
	}
	
	/**
	 * This method is for getting predicted longitude.
	 * 
	 * @return Returns the longitude.
	 */
	public double getLongitude() {
		return longitude;
	}
	
	/**
	 * This is a description of this class.
	 */
	public String toString() {
		return "<latitude>" + latitude + "</latitude>"
				+ "<longitude>" + longitude + "</longitude>";
	}
}
