/*
 * Created on 2004/09/03
 *
 */
package jnet.its.ivc.predict;

import java.util.LinkedList;

/**
 * This interface offers the function 
 * which calculates the prediction value of a terminal.
 * that calcule future prediction values from for the past two points.
 * A prediction value is calculated until after 5 seconds.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public interface PredictionAlgorithm {
	
	/**
	 * This method calculates the prediction value of a terminal. 
	 * As for the link list of return values, 
	 * the prediction value is contained in order of A
	 * after [ of a head ] 1 second, 2 seconds....
	 * 
	 * @param lists The past position information list.
	 * @return predict position of terminal.
	 */
	public abstract LinkedList predict(LinkedList lists);
}
